Forum Linux.général mise à jour Archlinx qui bute sur Java

Posté par (page perso) . Licence CC by-sa.
-1
15
oct.
2014

Bonjour,
sur mon système 64 bits, mon Archlinux (entièrement à jour il y a encore quelques heures) refuse de se mettre à jour :

J'ai d'abord droit à

Replace java-common with extra/java-runtime-common? [Y/n]

Je réponds "oui". La liste des paquets à mettre à jour apparaît :

Packages (23): boost-libs-1.56.0-2 ffmpeg-1:2.4.2-2 gnutls-3.3.9-1 java-common-1-8 [removal] java-environment-common-2-1 java-runtime-common-2-1 jdk7-openjdk-7.u71_2.5.3-1 jre7-openjdk-7.u71_2.5.3-1 jre7-openjdk-headless-7.u71_2.5.3-1 lib32-mesa-10.3.1-1 lib32-mesa-dri-10.3.1-1 lib32-mesa-libgl-10.3.1-1 lib32-pcre-8.36-1 lib32-xz-5.0.7-1 libldap-2.4.40-1 libogg-1.3.2-1 mesa-10.3.1-1 mesa-dri-10.3.1-1 mesa-libgl-10.3.1-1 python-setuptools-1:6.1-1 virtualbox-guest-modules-4.3.18-1 virtualbox-guest-utils-4.3.18-1 vlc-2.1.5-4

Puis, c'est le drame : j'ai droit à une vingtaine de lignes commençant par :

error: failed to commit transaction (conflicting files)
java-runtime-common: /usr/bin/java exists in filesystem
java-runtime-common: /usr/bin/keytool exists in filesystem
java-runtime-common: /usr/bin/orbd exists in filesystem

Je ne comprends pas trop quel est le problème et je n'ose pas supprimer Java pour le réinstaller. Google ne m'aide pas - jusqu'à présent. Des idées pour m'aider ? Merci !

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.